/*
  Program: Mine Mayhem
  File:    menuicon.cc
  Date:    July, 1996 to February,   1997,    version 1.00
	   26 October to 3 December,	      version 2.00
	   8 December to 4 January,  2001,    version 2.10
	   15 January,			      version 2.11
	   18 September to 16 December, 2006, version 2.90

  Graphic buffers for the icon buttons on the menu.

  Freeware, Copyright 2006 Jason Hood.
*/

#include "menuicon.h"

ViewBuffer* MenuIcon[MENUICONS];

#define _ 12

BYTE MenuIconBuffer[MENUICONS][MENUICONW*MENUICONH] =
{
		      { _,_,_,_,_,_,_,_,_,_,_,_,_,_,_,		// Squares
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,		// MENUSQUARES
			_,_,2,2,2,2,2,2,2,2,2,2,0,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,0,1,1,1,1,1,1,1,1,1,1,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,_,_,_,_,_,_,_,_,		// Hexagons
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,		// MENUHEXAGONS
			_,_,_,2,_,_,_,2,2,_,_,2,_,_,_,
			_,_,2,0,0,2,2,0,0,2,2,0,2,_,_,
			_,_,_,2,0,0,0,0,0,0,0,0,0,1,_,
			_,_,_,2,0,0,0,0,0,0,0,0,0,1,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,_,2,0,0,0,0,0,0,0,0,0,1,_,
			_,_,_,2,0,0,0,0,0,0,0,0,0,1,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,2,0,0,1,1,0,0,1,1,0,1,_,_,
			_,_,_,1,1,_,_,1,1,_,_,1,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,_,_,_,_,_,_,_,_,		// Hexagonal
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,		// MENUHEXAGONAL
			_,_,_,_,_,2,2,2,2,2,_,_,_,_,_,
			_,_,_,_,2,0,0,0,0,0,2,_,_,_,_,
			_,_,_,_,2,0,0,0,0,0,2,_,_,_,_,
			_,_,_,2,0,0,0,0,0,0,0,2,_,_,_,
			_,_,_,2,0,0,0,0,0,0,0,2,_,_,_,
			_,_,2,0,0,0,0,0,0,0,0,0,1,_,_,
			_,_,_,1,0,0,0,0,0,0,0,1,_,_,_,
			_,_,_,1,0,0,0,0,0,0,0,1,_,_,_,
			_,_,_,_,1,0,0,0,0,0,1,_,_,_,_,
			_,_,_,_,1,0,0,0,0,0,1,_,_,_,_,
			_,_,_,_,_,1,1,1,1,1,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_ },

		      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,		// Clear game
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,          // MENUCLEAR
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0 },

		      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,		// Perimeter
			1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,		// MENUPERIMETER
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
			1,1,1,1,1,2,2,2,2,0,1,1,1,1,1,
			1,0,0,0,0,2,0,0,0,1,1,0,0,0,0,
			1,0,0,0,0,2,0,0,0,1,1,0,0,0,0,
			1,0,0,0,0,2,0,0,0,1,1,0,0,0,0,
			1,0,0,0,0,0,1,1,1,1,1,0,0,0,0,
                        1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0 },

                      { 7,7,7,7,1,1,1,1,1,1,1,7,7,7,7,          // Wrap-around
                        7,7,0,0,0,1,0,0,0,0,1,0,0,7,7,          // MENUWRAP
                        7,0,7,0,0,1,0,0,0,0,1,0,7,0,7,
                        7,0,0,7,0,1,0,0,0,0,1,7,0,0,7,
                        1,0,0,0,7,1,0,0,0,0,7,0,0,0,0,
                        1,1,1,1,1,7,1,1,1,7,1,1,1,1,1,
                        1,0,0,0,0,1,7,0,7,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,7,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,7,0,7,0,1,0,0,0,0,
                        1,0,0,0,0,7,0,0,0,7,1,0,0,0,0,
                        1,1,1,1,7,1,1,1,1,1,7,1,1,1,1,
                        7,0,0,7,0,1,0,0,0,0,1,7,0,0,7,
                        7,0,7,0,0,1,0,0,0,0,1,0,7,0,7,
                        7,7,0,0,0,1,0,0,0,0,1,0,0,7,7,
                        7,7,7,7,0,1,0,0,0,0,1,7,7,7,7 },

                      { 1,1,1,1,1,2,2,2,2,0,2,2,2,2,0,          // Cross game
                        1,0,0,0,0,2,0,0,0,1,2,0,0,0,1,          // MENUCROSS
                        1,0,0,0,0,2,0,0,0,1,2,0,0,0,1,
                        1,0,0,0,0,2,0,0,0,1,2,0,0,0,1,
                        1,0,0,0,0,0,1,1,1,1,0,1,1,1,1,
                        2,2,2,2,0,1,1,1,1,1,2,2,2,2,0,
                        2,0,0,0,1,1,0,0,0,0,2,0,0,0,1,
                        2,0,0,0,1,1,0,0,0,0,2,0,0,0,1,
                        2,0,0,0,1,1,0,0,0,0,2,0,0,0,1,
                        0,1,1,1,1,1,0,0,0,0,0,1,1,1,1,
                        2,2,2,2,0,2,2,2,2,0,1,1,1,1,1,
                        2,0,0,0,1,2,0,0,0,1,1,0,0,0,0,
                        2,0,0,0,1,2,0,0,0,1,1,0,0,0,0,
                        2,0,0,0,1,2,0,0,0,1,1,0,0,0,0,
                        0,1,1,1,1,0,1,1,1,1,1,0,0,0,0 },

                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,         // No automatic
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,         // MENUNONE
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,7,7,7,7,0,0,0,0,0,0,0,
                        1,0,0,7,7,7,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,7,7,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,3,3,3,3,0,0,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0 },

                      { 2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,         // Auto-mark
                        2,0,0,0,0,0,0,0,0,4,4,4,4,0,1,         // MENUMARK
                        2,0,0,0,0,0,7,7,4,3,4,4,3,4,1,
                        2,0,0,0,7,7,7,7,4,4,4,4,4,4,1,
                        2,0,0,7,7,7,7,7,4,3,4,4,3,4,1,
                        2,0,0,0,7,7,7,7,4,4,3,3,4,4,1,
                        2,0,0,0,0,0,7,7,0,4,4,4,4,0,1,
                        2,0,0,0,0,0,0,3,0,0,0,0,0,0,1,
                        2,0,0,0,0,0,0,3,0,0,0,0,0,0,1,
                        2,0,0,0,0,3,3,3,3,0,0,0,0,0,1,
                        2,0,0,3,3,3,3,3,3,3,3,0,0,0,1,
                        2,0,0,3,3,3,3,3,3,3,3,0,0,0,1,
                        2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
                        2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
                        0,1,1,1,1,1,1,1,1,1,1,1,1,1,1 },

                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,         // Auto-open
                        1,0,0,0,0,0,0,0,0,4,4,4,4,0,0,         // MENUOPEN
                        1,0,0,0,0,0,0,0,4,3,4,4,3,4,0,
                        1,0,0,0,0,0,0,0,4,4,4,4,4,4,0,
                        1,0,0,0,0,0,0,0,4,3,4,4,3,4,0,
                        1,0,0,0,0,0,0,0,4,4,3,3,4,4,0,
                        1,0,0,0,0,0,0,0,0,4,4,4,4,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0 },

                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,         // Auto-mark&open
                        1,0,0,0,0,0,0,0,0,4,4,4,4,0,0,         // MENUBOTH
                        1,0,0,0,0,0,0,0,4,3,4,4,3,4,0,
                        1,0,0,0,0,0,7,7,4,4,4,4,4,4,0,
                        1,0,0,0,7,7,7,7,4,3,4,4,3,4,0,
                        1,0,0,7,7,7,7,7,4,4,3,3,4,4,0,
                        1,0,0,0,7,7,7,7,0,4,4,4,4,0,0,
                        1,0,0,0,0,0,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,3,3,3,3,0,0,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0 }
};
